//
// Created by sinxm on 24-8-5.
//

#include "MainWidget.h"

CMainWidget::CMainWidget(wxWindow* parent, wxWindowID id, const wxPoint& pos, const wxSize& size, long style, const wxString& name)
    : wxPanel(parent, id, pos, size, style, name)
{
    InitUi();
}

void CMainWidget::InitUi()
{
    ui_basic_box_ = new wxStaticBox(this, wxID_ANY, _("基本信息"));
    ui_box_sizer_ = new wxStaticBoxSizer(ui_basic_box_, wxVERTICAL);
    label_select_ = new wxStaticText(ui_box_sizer_->GetStaticBox(), wxID_ANY, _("要打包的二进制文件"), wxDefaultPosition, wxDefaultSize, 0);
    sizer_select_ = new wxBoxSizer(wxHORIZONTAL);
    text_select_ctrl_ = new wxTextCtrl(ui_box_sizer_->GetStaticBox(), wxID_ANY, wxEmptyString, wxDefaultPosition, wxDefaultSize, 0);
    sizer_select_->Add(text_select_ctrl_, 0, wxALL, 5);
    btn_select_ = new wxButton(ui_box_sizer_->GetStaticBox(), wxID_ANY, _("选择"), wxDefaultPosition, wxDefaultSize, 0);
    sizer_select_->Add(btn_select_, 0, wxALL, 5);
    ui_box_sizer_->Add(sizer_select_, 1, wxEXPAND, 5);
    SetSizer(ui_box_sizer_);
}